import { reactive } from 'vue';
import { merge } from '@gx-design-vue/pro-utils';
export default function useReactiveState(defaultStateValue) {
    const initValue = typeof defaultStateValue === 'function' ? defaultStateValue() : defaultStateValue;
    const state = reactive(initValue);
    function triggerChange(newValue) {
        const newVal = merge(state, newValue);
        Object.assign(state, newVal);
    }
    return [state, triggerChange];
}
