"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = usePickSlots;
const vue_1 = require("vue");
function usePickSlots(slots, slotName) {
    const slot = (0, vue_1.ref)(slots[slotName]);
    (0, vue_1.onUpdated)(() => {
        const newSlot = slots[slotName];
        if (slot.value !== newSlot) {
            slot.value = newSlot;
        }
    });
    return slot;
}
