"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = useReactiveState;
const vue_1 = require("vue");
const pro_utils_1 = require("@gx-design-vue/pro-utils");
function useReactiveState(defaultStateValue) {
    const initValue = typeof defaultStateValue === 'function' ? defaultStateValue() : defaultStateValue;
    const state = (0, vue_1.reactive)(initValue);
    function triggerChange(newValue) {
        const newVal = (0, pro_utils_1.merge)(state, newValue);
        Object.assign(state, newVal);
    }
    return [state, triggerChange];
}
